Page MenuHomeWrite.as

Team / shared photo uploads
Closed, ResolvedPublic

Description

Overview

Allow Write.as team members to upload to a shared gallery / space where everyone can access and view the team's photos.

Future

This may help lay the groundwork for collaborative galleries (team members and external collaborators).

Questions

  • Where does this gallery live in the URL? E.g.
    • snap.as/org/writeas
    • snap.as/org/writeas/photos (me -> org/writeas)
    • snap.as/writeas (probably more suited for org-level albums, e.g. snap.as/writeas/album)

Revisions and Commits

Related Objects

StatusAssignedTask
Resolvedmatt

Event Timeline

matt triaged this task as Medium-High priority.Aug 25 2020, 3:34 PM
matt created this task.
matt created this object with visibility "Snap.as (Project)".
matt created this object with edit policy "Snap.as (Project)".
matt moved this task from Future to Q4 2020 - Oct-Dec on the Roadmap board.
matt removed a project: Restricted Project.
matt added a subtask: Restricted Maniphest Task.Sep 9 2020, 7:19 PM
matt added a project: Restricted Project.Sep 29 2020, 6:54 PM
matt changed the visibility from "Snap.as (Project)" to "Public (No Login Required)".Oct 5 2020, 10:47 PM
matt changed the edit policy from "Snap.as (Project)" to "All Users".
matt closed subtask Restricted Maniphest Task as Resolved.Oct 26 2020, 10:32 PM
matt raised the priority of this task from Medium-High to High.

Working on this now. Some implementation details thus far:

  • Users will be able to switch context in the Snap.as UI (between user / orgs)
  • Users will navigate pages like normal (Upload and Photos pages), once in the correct context (user or org)
  • Will add upload API endpoints for orgs
  • Org photos will be kept in a separate org_photos database table that tracks org ownership and photo authorship
matt added a commit: Restricted Diffusion Commit.Feb 27 2021, 1:37 PM

This is live now! Here's a quick demo: https://video.writeas.org/videos/watch/441c28fb-040d-492b-9d5d-71e325fd6317

To close this, we just need to add API endpoints.

API is less important right now. But one thing left to fix: photos uploaded to an org shouldn't show up in personal account's Photos list.

matt closed this task as Resolved by committing Restricted Diffusion Commit.Wed, Mar 31, 8:00 PM
matt added a commit: Restricted Diffusion Commit.